/*
 * Timing.cpp
 */
#include "timing.h"
#include <iostream>
 
#ifdef	WIN32
	LARGE_INTEGER timing_start_time;
	LARGE_INTEGER timing_frequency;
#else
	struct timeval timing_start_time;
#endif

void InitMilliseconds()
{
#ifdef WIN32
	QueryPerformanceFrequency(&timing_frequency);
	QueryPerformanceCounter(&timing_start_time);
#else
	gettimeofday(& timing_start_time, 0);
/*	std::cout << timing_start_time.tv_usec << std::endl;
	gettimeofday(& timing_start_time, 0);
	std::cout << timing_start_time.tv_usec << std::endl;
*/
#endif
}
